;----------------------------------------------------------
softenve_table:
	dw	softenve_0,softenve_1,softenve_2,softenve_3
	dw	softenve_4,softenve_5,softenve_6,softenve_7
softenve_lp_table:
	dw	softenve_lp_0,softenve_lp_1,softenve_lp_2
	dw	softenve_lp_3,softenve_lp_4,softenve_lp_5
	dw	softenve_lp_6,softenve_lp_7
;---------------
softenve_0:
	db	$06,$06
	db	$04,$04,$04,$04,$04,$04,$04,$04,$04,$04,$04,$04
	db	$03,$03,$03,$03,$03,$02,$02,$02,$02,$02,$01
softenve_lp_0:
	db	$00,$ff						;melo
;---------------
softenve_1:
	db	$06,$06,$05,$05,$04,$04
softenve_lp_1:
	db	$03,$ff
;---------------
softenve_2:
	db	$02,$04,$06,$08,$0a,$09,$08,$07
softenve_lp_2:
	db	$06,$ff
;---------------
softenve_3:
	db	$0f,$0f
	db	$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a
	db	$09,$09,$09,$09,$09,$09,$08,$08,$08,$08,$08,$08
softenve_lp_3:
	db	$07,$ff						;bass
;---------------
softenve_4:
	db	$08,$09,$0a,$0b,$0c,$0d,$0e,$0f,$0f,$0e,$0d,$0d,$0d,$0d,$0d,$0d
	db	$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c,$0c
	db	$0b,$0b,$0b,$0b,$0b,$0b,$0b,$0b,$0a,$0a,$0a,$0a,$0a,$0a,$0a,$0a
	db	$09,$09,$09,$09,$09,$09,$09,$09,$08,$08,$08,$08,$08,$08,$08,$08
softenve_lp_4:
	db	$07,$ff						;melo2
;---------------
softenve_5:
	db	$06,$04,$02,$01
softenve_lp_5:
	db	$00,$ff						;hi-hat
;---------------
softenve_6:
	db	$09,$08,$07,$06,$05,$04,$03
softenve_lp_6:
	db	$02,$ff						;snare
;---------------
softenve_7:
	db	$03,$03
	db	$02,$02,$02,$02,$02,$02,$02,$02,$02,$02,$02
	db	$01,$01,$01,$01,$01,$01,$01,$01,$01,$01,$01

softenve_lp_7:
	db	$00,$ff						;melo
;----------------------------------------------------------
pitchenve_table:
	dw	pitchenve_0,pitchenve_1,pitchenve_2,pitchenve_3
pitchenve_lp_table:
	dw	pitchenve_lp_0,pitchenve_lp_1,pitchenve_lp_2,pitchenve_lp_3
;---------------
pitchenve_0:
	db	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$81
pitchenve_lp_0:
	db	$00,$00,$01,$01,$00,$00,$81,$81,$ff
;---------------
pitchenve_1:
	db	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00
	db	$00,$00,$00,$00,$00,$00,$00,$00,$00,$00,$81
pitchenve_lp_1:
	db	$00,$00,$00,$01,$00,$01,$00,$00,$00,$81,$00,$81,$ff
;---------------
pitchenve_2:
pitchenve_lp_2
	db	$0d,$ff
;---------------
pitchenve_3:
pitchenve_lp_3:
	db	$0d,$ff
;----------------------------------------------------------
dutyenve_table:
	dw	dutyenve_0,dutyenve_1,dutyenve_2,dutyenve_3
dutyenve_lp_table:
	dw	dutyenve_lp_0,dutyenve_lp_1,dutyenve_lp_2,dutyenve_lp_3
;---------------
dutyenve_0:
dutyenve_lp_0:
	db	$03,$07,$0b,$ff
;---------------
dutyenve_1:
dutyenve_lp_1:
	db	$03,$07,$ff				;Bass
;---------------
dutyenve_2:
dutyenve_lp_2:
	db	$0d,$ff
;---------------
dutyenve_3:
dutyenve_lp_3:
	db	$0d,$ff
;----------------------------------------------------------
lfo_data:
;		  +-------- LFOJn܂ł̎ԁit[j
;		  l   +----- œʁij
;		  l@ l   +- g`]܂œ񐔁ij
;		  l   l   l   +- LFOJntOi$40㏸@$00~j
;		  l   l   l   l
	db	$20,$01,$02,$40	;0
	db	$30,$01,$02,$40	;1
	db	$20,$01,$03,$00	;2
	db	$30,$01,$03,$00	;3
	db	$40,$01,$03,$00	;4
;----------------------------------------------------------
arpeggio_table:
	dw	arpeggio_0,arpeggio_1,arpeggio_2,arpeggio_3
arpeggio_lp_table
	dw	arpeggio_lp_0,arpeggio_lp_1,arpeggio_lp_2,arpeggio_lp_3
;---------------
arpeggio_0:
	db	$00
arpeggio_lp_0:
	db	$02,$82,$82,$02,$ff
;---------------
arpeggio_1:
arpeggio_lp_1:
	db	$00,$00,$00,$01,$00,$01,$00,$00,$00,$81,$00,$81,$ff
;---------------
arpeggio_2:
arpeggio_lp_2
	db	$0d,$ff
;---------------
arpeggio_3:
arpeggio_lp_3:
	db	$0d,$ff
;----------------------------------------------------------
;		 ++------- playback mode select
;		 ll  ++++- DMC frequency control
;		 ll  llll   ++++++-- the load inputs of the internal delta counter
dpcm_data:	;ll  llll   llllll+- LSB of the DAC
;		 llxxllll  xlllllll
;		%00001111,%00000000,$c0,$2a
;				      l   l
;				      l   +- DMA length register  ($4013 * 16 )
;				      +- DMA address load register($4012 * 64 + 0C000H)
;								  ($FFFF to $C000? or $8000?)

	db	$0F,$00,$19,$0C	;bass
	db	$0F,$00,$00,$14	;
	db	$0F,$00,$0D,$30	;snare
	db	$0F,$00,$05,$14	;
	db	$0F,$00,$0A,$0C	;

	db	$0D,$00,$1C,$48	;speed up
	db	$0D,$00,$2E,$3C	;missile
	db	$0D,$00,$3D,$40	;double
	db	$0D,$00,$4D,$44	;laser
	db	$0D,$00,$5E,$38	;option
	db	$0D,$00,$6C,$70	;force field
	db	$08,$00,$50,$40	;laser-option
	db	$09,$00,$29,$F0	;speed up-missile
	db	$07,$00,$20,$FE	;
;----------------------------------------------------------
